Bug 189117 - [macOS] Color picker layout is broken if suggested colors are specified
Summary: [macOS] Color picker layout is broken if suggested colors are specified
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: WebKit Nightly Build
Hardware: Macintosh macOS 10.13
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-08-29 16:25 PDT by Aditya Keerthi
Modified: 2018-08-31 08:56 PDT (History)
5 users (show)

See Also:


Attachments
Patch (2.09 KB, patch)
2018-08-29 16:29 PDT, Aditya Keerthi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aditya Keerthi 2018-08-29 16:25:27 PDT
Due to a change in NSPopoverColorWell's implementation, the layout of the color picker when suggested colors are specified is broken on 10.13.
Comment 1 Aditya Keerthi 2018-08-29 16:29:05 PDT
Created attachment 348446 [details]
Patch
Comment 2 WebKit Commit Bot 2018-08-30 09:35:53 PDT
Comment on attachment 348446 [details]
Patch

Clearing flags on attachment: 348446

Committed r235507: <https://trac.webkit.org/changeset/235507>
Comment 3 WebKit Commit Bot 2018-08-30 09:35:54 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Radar WebKit Bug Importer 2018-08-31 08:56:52 PDT
<rdar://problem/43941959>